.pc-promo[hidden]{ display:none; }

.pc-promo{
    position: fixed;
    z-index: 9998;
    place-items: center;
    padding: var(--fz20);
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
    right: 0;
    bottom: 0;
}


.pc-promo__card{
    position: relative;
    width: min(28rem, 92vw);
    border-radius: calc(var(--radius-lg) + var(--fz16));
    background: var(--bg-hero);
    box-shadow: var(--shadow-soft);
    border: 1px solid rgba(2,6,23,.08);
    z-index: 1;
    overflow: hidden;
}
.pc-promo__card .btn {
    width: 100%;
}
.pc-promo__close{
    position: absolute;
    top: var(--fz16);
    right: var(--fz16);
    width: 2.2rem !important;
    height: 2.2rem !important;
    border-radius: var(--radius-xl);
    background: rgba(255,255,255,.9);
    color: var(--text-main);
    cursor: pointer;
    display: grid;
    place-items: center;
    line-height: 1;
    padding: 0;
    border: none;
}
.pc-promo__close svg{
    width: 2.2rem !important;
    height: 2.2rem !important;
}
.pc-promo__content{
    padding: clamp(var(--fz24), 2.3vw, var(--fz36));
}

.pc-promo__title{
    margin: 0 0 var(--fz16);
    font-size: var(--fz28);
    line-height: 1.1;
    letter-spacing: -0.02em;
    font-weight: 500;
    color: var(--text-main);
}

.pc-promo__text{
    margin: 0 0 var(--fz18);
    font-size: var(--fz18);
    line-height: 1.45;
    color: var(--text-muted);
}

.pc-promo__price{
    display:flex;
    align-items: baseline;
    gap: var(--fz16);
    margin: 0 0 var(--fz20);
}

.pc-promo__price-now{
    font-size: var(--fz18);
    font-weight: 800;
    color: var(--primary);
}

.pc-promo__price-old{
    font-size: var(--fz18);
    color: rgba(2,6,23,.45);
    text-decoration: line-through;
    text-decoration-thickness: .12rem;
}

.pc-promo__list{
    list-style: none;
    padding: 0;
    margin: 0 0 var(--fz24);
    display: grid;
    gap: var(--fz16);
}

.pc-promo__item{
    position: relative;
    color: var(--text-main);
    font-size: var(--fz16);
    line-height: 1.35;
    display: flex;
    gap: .5rem;
    align-items: center;
}
.pc-promo__item svg {
    width: var(--fz24) !important;
    min-width: var(--fz24) !important;
    height: var(--fz24) !important;
}


.pc-promo__btn{
    width: 100%;
    height: 3.2rem;
    border: 0;
    border-radius: var(--radius-xl);
    background: var(--primary);
    color: var(--text-white);
    font-weight: 500;
    font-size: var(--fz18);
    cursor: pointer;
    box-shadow: 0 16px 36px rgba(37,99,235,.35);
    transition: transform .15s ease, background .15s ease;
}

.pc-promo__btn:hover{
    background: var(--primary-dark);
    transform: translateY(-.06rem);
}
